Summary: System to user tools
Name: s2u
Version: 0.9.2
Release: %mkrel 3
URL: http://www.mandrivalinux.com/
Source0: %{name}-%{version}.tar.bz2
Patch0: s2u-0.9.2-fix-build-libnotify-0.7.patch
License: GPL
Group: Graphical desktop/Other
BuildRequires: dbus-glib-devel
BuildRequires: gtk+2-devel
BuildRequires: libnotify-devel
Requires: dbus
Requires: initscripts >= 7.06-52mdk

%description
Use dbus to communicate between from the system to the users.

%prep
%setup -q
%apply_patches

%build
%make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog README AUTHORS LICENSE
%_bindir/s2u
%_sysconfdir/X11/xinit.d/s2u
%_sysconfdir/sysconfig/network-scripts/hostname.d/s2u
%config(noreplace) %_sysconfdir/dbus-1/system.d/*.conf

# MAKE THE CHANGES IN SVN: NO PATCH OR SOURCE ALLOWED


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.9.2-3.mga3
+ Revision: 381640
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 19 2011 ahmad <ahmad> 0.9.2-2.mga2
+ Revision: 109592
- Add a patch to fix the build with libnotify-0.7

* Wed Mar 16 2011 tv <tv> 0.9.2-1.mga1
+ Revision: 72839
- imported package s2u

